Create proactive WhatsApp conversation

Create proactive WhatsApp conversation. See the OpenAPI-defined parameters, request body, and responses below.

POST /Conversation/whatsapp-proactive-conversation

Create proactive WhatsApp conversation. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint cria uma conversa proativa com os dados fornecidos.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: ProactiveConversationDto

PropertyTypeRequiredDescriptionConstraints
communicationChannelCommunicationChannelNo——
botIdinteger · int32No——
recipientarray<string>No—nullable
liveAgentbooleanNo——
conversationTemplateIdinteger · int32No——
counterpartUserIdinteger · int32No——
userIdinteger · int32No——
queueIdinteger · int32No——
contentVariablesobjectNo—nullable
accountIdsarray<integer · int32>No—nullable
contactIdsarray<integer · int32>No—nullable
conversationIntegrationTypeConversationIntegrationTypeNo——

Example request

curl --request POST \
  --url 'https://api.zild.ai/Conversation/whatsapp-proactive-conversation' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "communicationChannel": 0,
  "botId": 0,
  "recipient": [
    "string"
  ],
  "liveAgent": true,
  "conversationTemplateId": 0,
  "counterpartUserId": 0,
  "userId": 0,
  "queueId": 0,
  "contentVariables": {},
  "accountIds": [
    0
  ],
  "contactIds": [
    0
  ],
  "conversationIntegrationType": 0
}'

Responses

StatusDescriptionResponse body
200Conversa proativa criada com sucessoapplication/json · array<ConversationDto>

Example response (200):

[
  {
    "id": 0,
    "active": true,
    "title": "string",
    "liveAgent": true,
    "from": "string",
    "conversationId": "string",
    "waterMark": "string",
    "token": "string",
    "createdAt": "2026-09-22T18:00:00Z",
    "finishedAt": "2026-09-22T18:00:00Z",
    "queuedAt": "2026-09-22T18:00:00Z",
    "lastConversationUpdateTime": "2026-09-22T18:00:00Z",
    "lastMessageContent": "string",
    "contactId": 0,
    "contactName": "string",
    "userId": 0,
    "userName": "string",
    "counterpartUserId": 0,
    "counterpartUserName": "string",
    "botId": 0,
    "botName": "string",
    "fileUrl": "string",
    "fileName": "string",
    "tenantId": 0,
    "conversationSummary": "string",
    "messages": [
      {
        "id": 0,
        "createdAt": "2026-09-22T18:00:00Z",
        "from": "string",
        "to": "string",
        "content": "string",
        "conversationId": 0,
        "sentiment": "string",
        "offset": "string",
        "isNPS": true,
        "contentSid": "string",
        "messageType": 0,
        "conversationTemplateId": 0,
        "mediaUrl": "string",
        "mediaFileName": "string",
        "tenantId": 0,
        "userId": 0,
        "contentVariables": "string",
        "messageSid": "string",
        "messageStatus": 0,
        "sent": true,
        "delivered": true,
        "read": true,
        "errorCode": "string",
        "errorMessage": "string",
        "isReadByUser": true,
        "documentId": 0
      }
    ],
    "score": 0,
    "finalScore": 0,
    "checklistId": 0,
    "communicationChannel": 0,
    "conversationIntegrationType": 0,
    "duration": "string",
    "highImportanceErrorDetected": true,
    "tags": [
      {
        "id": 0,
        "name": "string",
        "active": true,
        "createdAt": "2026-09-22T18:00:00Z",
        "tenantId": 0
      }
    ],
    "conversationEvaluationStatus": 0,
    "conversationEvaluationStatusMessage": "string",
    "queueId": 0,
    "queueName": "string",
    "conversationEndedReasonId": 0,
    "agentType": 0,
    "conversationType": 0,
    "applicationStatusId": 0,
    "overallSentiment": "string",
    "callStatus": "string",
    "disconnectionReason": "string",
    "callSuccessful": true,
    "totalUnreadedMessagesByUser": 0,
    "dynamicVariables": [
      {
        "id": 0,
        "name": "string",
        "value": "string",
        "conversationId": 0
      }
    ],
    "dataCollection": [
      {
        "id": 0,
        "name": "string",
        "value": "string",
        "conversationId": 0
      }
    ],
    "agentId": 0,
    "loadingResponse": true
  }
]

Data models

AgentType

0 = ZildAssist; 1 = ZildFlow; 2 = ZildInsightChat; 3 = ZildChat; 4 = ZildDocs; 5 = ZildVoice; 6 = ZildCoach; 7 = ZildInsightChecklist

integer

CommunicationChannel

0 = Default; 1 = WhatsApp; 2 = Telefonia; 3 = Email; 4 = WebChat; 5 = InstagramDirectMessage; 6 = FacebookMessenger; 7 = MicrosoftTeams; 8 = ZildCoach

integer

ConversationDataCollectionDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
valuestringNo—nullable
conversationIdinteger · int32No——
ConversationDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
activebooleanNo——
titlestringNo—nullable
liveAgentbooleanNo——
fromstringNo—nullable
conversationIdstringNo—nullable
waterMarkstringNo—nullable
tokenstringNo—nullable
createdAtstring · date-timeNo——
finishedAtstring · date-timeNo—nullable
queuedAtstring · date-timeNo—nullable
lastConversationUpdateTimestring · date-timeNo——
lastMessageContentstringNo—nullable
contactIdinteger · int32No——
contactNamestringNo—nullable
userIdinteger · int32No——
userNamestringNo—nullable
counterpartUserIdinteger · int32No——
counterpartUserNamestringNo—nullable
botIdinteger · int32No——
botNamestringNo—nullable
fileUrlstringNo—nullable
fileNamestringNo—nullable
tenantIdinteger · int32No——
conversationSummarystringNo—nullable
messagesarray<MessageDto>No—nullable
scoreinteger · int32No——
finalScoreinteger · int32No——
checklistIdinteger · int32No——
communicationChannelCommunicationChannelNo——
conversationIntegrationTypeConversationIntegrationTypeNo——
durationstring · date-spanNo—nullable
highImportanceErrorDetectedbooleanNo——
tagsarray<TagDto>No—nullable
conversationEvaluationStatusConversationEvaluationStatusNo——
conversationEvaluationStatusMessagestringNo—nullable
queueIdinteger · int32No——
queueNamestringNo—nullable
conversationEndedReasonIdinteger · int32No——
agentTypeAgentTypeNo——
conversationTypeConversationTypeNo——
applicationStatusIdinteger · int32No——
overallSentimentstringNo—nullable
callStatusstringNo—nullable
disconnectionReasonstringNo—nullable
callSuccessfulbooleanNo——
totalUnreadedMessagesByUserinteger · int32No——
dynamicVariablesarray<ConversationDynamicVariableDto>No—nullable
dataCollectionarray<ConversationDataCollectionDto>No—nullable
agentIdinteger · int32No——
loadingResponsebooleanNo——
ConversationDynamicVariableDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
valuestringNo—nullable
conversationIdinteger · int32No——
ConversationEvaluationStatus

0 = NotStarted; 1 = InProgress; 2 = Success; 3 = Error; 4 = Ineligible

integer

ConversationIntegrationType

0 = None; 1 = Olus; 2 = TotalIP; 3 = MicrosoftTeams; 4 = Fluctus; 5 = OpaSuite; 6 = ChatMix; 7 = MKBOOT; 8 = FocusChat; 9 = Tallos; 10 = SZFortics; 11 = James; 12 = MatrixGo; 13 = Twilio; 14 = Native; 15 = Internal; 16 = RetellAI; 17 = ElevenLabs; 18 = Email; 19 = WhatsAppApi; 20 = WebChat

integer

ConversationType

0 = ZildAssist; 1 = ZildInsight; 2 = AiSdrReactive; 3 = AiSdrProactive; 4 = AiHrInterview; 5 = ZildCoach; 6 = ZildVoice; 99 = Agent

integer

MessageDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
createdAtstring · date-timeNo——
fromstringNo—nullable
tostringNo—nullable
contentstringNo—nullable
conversationIdinteger · int32No——
sentimentstringNo—nullable
offsetstringNo—nullable
isNPSbooleanNo——
contentSidstringNo—nullable
messageTypeMessageTypeNo——
conversationTemplateIdinteger · int32No——
mediaUrlstringNo—nullable
mediaFileNamestringNo—nullable
tenantIdinteger · int32No——
userIdinteger · int32No——
contentVariablesstringNo—nullable
messageSidstringNo—nullable
messageStatusMessageStatusNo——
sentbooleanNo——
deliveredbooleanNo——
readbooleanNo——
errorCodestringNo—nullable
errorMessagestringNo—nullable
isReadByUserbooleanNo——
documentIdinteger · int32No—nullable
MessageStatus

0 = Queued; 1 = Sending; 2 = Sent; 3 = Delivered; 4 = Receiving; 5 = Received; 6 = Accepted; 7 = Scheduled; 8 = Read; 9 = Undelivered; 10 = Canceled; 11 = Failed

integer

MessageType

0 = Text; 1 = Image; 2 = File; 3 = Audio; 4 = Video; 5 = Internal; 6 = TemplateMarketing; 7 = TemplateUtility; 8 = Location; 9 = Contact

integer

ProactiveConversationDto
PropertyTypeRequiredDescriptionConstraints
communicationChannelCommunicationChannelNo——
botIdinteger · int32No——
recipientarray<string>No—nullable
liveAgentbooleanNo——
conversationTemplateIdinteger · int32No——
counterpartUserIdinteger · int32No——
userIdinteger · int32No——
queueIdinteger · int32No——
contentVariablesobjectNo—nullable
accountIdsarray<integer · int32>No—nullable
contactIdsarray<integer · int32>No—nullable
conversationIntegrationTypeConversationIntegrationTypeNo——
TagDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
activebooleanNo——
createdAtstring · date-timeNo——
tenantIdinteger · int32No——